from flask import Flask, jsonify, request
from datetime import datetime
from your_database_module import ComputerStatus  # 请根据实际路径引入你的数据库模块

app = Flask(__name__)


@app.route('/get_data_json_30s', methods=['GET'])
def get_data_json_30s():
    # 获取最新30秒的数据
    data = ComputerStatus.get_data_json_30s()
    return jsonify(data)


@app.route('/get_data_json', methods=['GET'])
def get_data_json():
    time_start = int(request.args.get('time_start'))
    time_end = int(request.args.get('time_end'))

    # 获取指定时间范围的数据
    data = ComputerStatus.get_data_json(time_start, time_end)
    return jsonify(data)


if __name__ == '__main__':
    app.run(debug=True)
